fw_cdev_queue_iso Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_queue_iso - Queue isochronous packets for I/O @packets: Userspace pointer to packet data @data: Pointer into mmap()'ed payload buffer @size: Size of packet data in bytes @handle: Isochronous context handle

Queue a number of isochronous packets for reception or transmission. This ioctl takes a pointer to an array of &fw_cdev_iso_packet structs, which describe how to transmit from or receive into a contiguous region of a mmap()'ed payload buffer. As part of transmit packet descriptors, a series of headers can be supplied, which will be prepended to the payload during DMA.

The kernel may or may not queue all packets, but will write back updated values of the @packets, @data and @size fields, so the ioctl can be resubmitted easily.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h